%global pkg_name pandoc

%global common_summary Haskell %{pkg_name} library

%global common_description %{common_summary}

%global ghc_pkg_deps ghc-HTTP-devel, ghc-mtl-devel, ghc-network-devel, ghc-parsec-devel, ghc-texmath-devel, ghc-utf8-string-devel, ghc-xhtml-devel, ghc-xml-devel, ghc-zip-archive-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           %{pkg_name}
Version:        1.6
Release:        1%{?dist}
Summary:        Markup converter for markdown

Group:          Applications/Publishing
License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%prep
%setup -q


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install

rm $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/{BUGS,COPYRIGHT,INSTALL,README,changelog}


%clean
rm -rf $RPM_BUILD_ROOT


%{?ghc_binlib_package}


%files
%defattr(-,root,root,-)
%doc BUGS COPYING COPYRIGHT README
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/markdown2pdf
%{_datadir}/%{name}-%{version}
%{_mandir}/man1/*


%changelog
* Fri Nov 12 2010 Jens Petersen <petersen@redhat.com> - 1.6-1
- GPLv2+
- take care of docdir files
- add dependencies

* Thu Nov 11 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.6-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
